{%- set included_data = data['properties']['included'] -%}
configure terminal
{% for end_point in included_data %}
    {% if end_point['type'] is defined and end_point['type'] == "serviceIntentSpec" %}
        {% set add_attr = end_point['attributes']['layer3Attributes']['additionalAttributes'] %}
        
        {% if add_attr['vrfs'] %}
            {% set vrf = add_attr['vrfs'] %}
            ip vrf {{ vrf['vrf_name'] }}
            description {{ vrf['description'] }}
            rd {{ vrf['rd_value'] }}
            {% for i in vrf['import_route'] %}
                route-target import {{ i }}
            {% endfor %}
            {% for i in vrf['export_route'] %}
                route-target export {{ i }}
            {% endfor %}
            exit
        {% endif %}

        {% if add_attr['bgp'] %}
            router bgp {{ add_attr['bgp']['bgp_number'] }}
            address-family ipv4 vrf {{ add_attr['bgp']['vrf_name'] }}
            redistribute connected
            redistribute static
            exit
            exit
        {% endif %}

        {% for route in add_attr['vrf_routes'] %}
            ip route vrf {{ route['vrf_name']  }} {{ route['ip'] }} {{ route['mask'] }} {{ route['next_hop'] }}
        {% endfor %}
      
    {% endif %}
{% endfor %}
end
